# Filename: tri_get_faces.py
# Purpose: Gets the facets of a triangulation as a NumPy array.
# Returns: 2D NumPy array.

from maptek import vulcan

input_tri = 'headframe.00t'

with vulcan.triangulation(input_tri, 'w') as tri:
    faces = tri.get_faces()

    # do something with array...
    print(faces)